### Constructor

# Gtk.TreeModelSort.new_with_model

#### Declaration [src]

    GtkTreeModel*
    gtk_tree_model_sort_new_with_model (
      GtkTreeModel* child_model
    )

#### Description [src]

Creates a new `GtkTreeModelSort`, with `child_model` as the child model.

#### Parameters

`child_model` | `GtkTreeModel`
| A `GtkTreeModel`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkTreeModelSort`
A new `GtkTreeModelSort`.
Ownership of the data is transferred to the caller